%define _use_internal_dependency_generator 0

Summary: A Perl interface for making and serving XML-RPC calls.
Name: perl-Frontier-RPC
Version: 0.06
Release: 37
License: distributable
Group: Applications/CPAN
Source0: Frontier-RPC-%{version}.tar.gz
Patch0: perl-frontier-raw-call.patch
Patch1: perl-frontier-raw-serve.patch
Url: http://www.cpan.org
BuildRoot: /var/tmp/perl-Frontier-RPC-buildroot/
BuildRequires: perl >= 0:5.00503
Requires: perl >= 0:5.00503
BuildArch: noarch

BuildRequires: perl-XML-Parser
BuildRequires: perl-libwww-perl

%description
Frontier::RPC implements UserLand Software's XML RPC (Remote Procedure
Calls using Extensible Markup Language).  Frontier::RPC includes both
a client module for making requests to a server and a daemon module
for implementing servers.  Frontier::RPC uses RPC2 format messages.


# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n Frontier-RPC-%{version} 
%patch0 -p1 -b .rawcall
%patch1 -p1 -b .rawserve

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
#make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > Frontier-RPC-%{version}-filelist
if [ "$(cat Frontier-RPC-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Frontier-RPC-%{version}-filelist
%defattr(-,root,root)

%changelog
* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Fri Apr  5 2002 Chip Turner <cturner@redhat.com>
- add patch from RHN to allow raw non-conformat calls.  
- doesn't affect main code path, but adds functionality 
- similar to python xmlrpc module

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr 30 2001 Chip Turner <cturner@redhat.com>
- Spec file was autogenerated. 
